#!/usr/bin/perl

use IO::Socket;
use IO::Select;

my $ip = '127.0.0.1', # the ip to connect to
   $port = '6667', # the port to connect to
   $localaddr = '127.0.0.1', # the ip that we shall bind to
   $pass = 'debug', # password i think the one defined in your N: line
   $server = "debug.open-net.org"; # the server we should connect to


my $sock = new IO::Socket::INET(PeerAddr  => $ip,
                                PeerPort  => $port,
                                Proto     => 'tcp',
                                LocalAddr => $localaddr
);

die 'no socket' unless $sock->connected;

print $sock "PASS $pass :TS\r\n";
print $sock "CAPAB :PTS4 OTS2\r\n";
print $sock "SERVER $server 1 :$desc\r\n";

while(1) {
    my $line = <$sock>;
    print $line if length($line) > 3;
    $_ = $line;
    if($line =~ /^PING (\S+)$/i) {
        sleep 9;
        print $sock "PONG $1\r\n";
    }
}
