/* simple password generator by Nelson Minar (minar@reed.edu)
 * copyright 1991, all rights reserved.
 * You can use this code as long as my name stays with it.
 *
 *
 * $Id: mkpasswd.c,v 1.1.1.1 2001/09/13 18:16:32 rj Exp $
 */
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>


extern char* getpass();

int main(argc, argv)
int argc;
char *argv[];
{
  static char saltChars[] = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789./";
  static time_t   last_used = 0;
  char salt[9];
  extern char *libshadow_md5_crypt();
  char * plaintext;

  srandom(time(0));
  salt[0] = saltChars[random() % 64];
  salt[1] = saltChars[random() % 64];
  salt[2] = saltChars[random() % 64];
  salt[3] = saltChars[random() % 64];
  salt[4] = saltChars[random() % 64];
  salt[5] = saltChars[random() % 64];
  salt[6] = saltChars[random() % 64];
  salt[7] = saltChars[random() % 64];
  salt[8] = 0;


  plaintext = getpass("plaintext: ");

  printf("%s\n", libshadow_md5_crypt(plaintext, salt));
  return 0;
}

