/*****************************************************************
 * PTlink IRCd is (C) CopyRight PTlink Coders Team 1999-2000     *
 * http://www.ptlink.net/Coders - coders@PTlink.net              *
 * This program is distributed under GNU Public License          *
 * Please read the file COPYING for copyright information.       *
 *****************************************************************
 
  File: conf_vars.h
  Desc: network.conf variables
  Author: Lamego@PTlink.net
  Date: Mon 15 Jan 2001 06:49:00 PM WET
*/
#ifndef include_conf_vars_h_

#define include_conf_vars_h_

#define E extern
E int IsHub;
E int ReverseLookup;

E char *ServicesServer;
E char *NetworkName;
E char *RandomHost;

int CheckClones;
int	CheckClonesLimit;
int CheckClonesPeriod;
int CheckClonesDelay;

E int AllowChanCTCP;
E int ForceServicesAlias;
E char *SpamWords;
E int HostSpoofing;
E int SpoofMethod;
E char *NoCTCP_Msg;
E char *Moderated_Msg;
E char *NoExternal_Msg;
E char *NoColors_Msg;
E char *Banned_Msg;
E char *NoSpam_Msg;
E char *NoFlood_Msg;
E char *NoDCCSend_Msg;
E int RestrictedChans;
E char *RestrictedChansMsg;



E int ChanFloodTime;
E int IRCopsForAll;
E char *AntiSpamExitMsg;
E char *NoColorsQuitMsg;
E int AntiSpamExitTime;	
E char *NoSpamExitMsg;
E char *QuitPrefix;
E char *NoQuitMsg;
E int IPIdentifyMode;
E char *TimeZone;
E int WebChatPort;
E int MaxChansPerUser;

/* Oper Privileges */
E int OperCanAllwaysJoin;
E int OperCanUseNewMask;
E int OperCanAlwaysSend;
E char* OperByPass;

/* Line reason */
char * GLineOthersReason;
char * KLineOthersReason;

/* host spoofing masks */
E char* HostPrefix;
E char* TechAdminMask;
E char* NetAdminMask;
E char* SAdminMask;
E char* AdminMask;
E char* OperMask;
E char* LocopMask;
E char* HelperMask;
E char *QModeMsg;

/* Services Protection */
E int 	ServicesUseCount;
E int	ServicesInterval;

E char* NetworkAUP;

/* specific channels */
E char* HelpChan;

/* Help files */
E char* UserHelpFile;
E char* OperHelpFile;
E char* AdminHelpFile;

#undef E

#endif /* conf_vars_h_ */
